Skip to main content
Update target MCP server settings and tool mappings
curl --request PATCH \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/mcp/servers/{serverId} \
  --header 'Content-Type: application/json' \
  --cookie acornops_cp_session= \
  --data '
{
  "enabled": true,
  "publicHeaders": {
    "x-client-version": "2026-05"
  },
  "auth": {
    "type": "bearer_token",
    "secretName": "mcp_server::github",
    "headerName": "Authorization",
    "headerPrefix": "Bearer "
  },
  "tools": [
    {
      "name": "github.search_repositories",
      "timeoutMs": 10000,
      "enabled": true
    }
  ],
  "removeTools": [
    "github.old_tool"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "url": "<string>",
  "enabled": true,
  "type": "<string>",
  "publicHeaders": {},
  "connectionStatus": "<string>",
  "lastDiscoveryAt": "2023-11-07T05:31:56Z",
  "lastDiscoveryError": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

targetId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

serverId
string<uuid>
required
Example:

"42573ae4-0a1f-4488-ae1f-e6bd3fd2469b"

Body

application/json
name
string
Example:

"github"

enabled
boolean
publicHeaders
object
auth
object
tools
object[]
removeTools
string[]

Response

MCP server updated.

id
string<uuid>
required
name
string
required
url
string<uri>
required
enabled
boolean
required
type
string
authType
enum<string>
Available options:
none,
bearer_token,
custom_header
publicHeaders
object
connectionStatus
string
lastDiscoveryAt
string<date-time>
lastDiscoveryError
string